package com.jeeplus.test.projectRecords.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.projectRecords.domain.Project;
import com.jeeplus.test.projectRecords.service.dto.FileUploadListDTO;
import com.jeeplus.test.projectRecords.service.dto.ProjectDTO;
import liquibase.pro.packaged.S;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProjectMapper extends BaseMapper<Project> {

    public Project selectByDocumentNum(ProjectDTO projectDTO);

    public Project selectByProjectId(@Param("projectId") String projectId);

    public IPage<Project> selectPage(Page<Project> page, @Param("project") Project project);

    public IPage<Project> findList(Page<Project> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    public Integer proportion(@Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    public List<FileUploadListDTO> projectAllList(ProjectDTO projectDTO);

    public List<FileUploadListDTO> projectList(ProjectDTO projectDTO);
}